package com.pcloud.book.copyright.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @author lily
 * @date 2018/12/3 11:26
 */
@ApiModel
@JsonInclude(JsonInclude.Include.NON_NULL)
public class SetAuthStatusParam implements Serializable {

    @ApiModelProperty("图书标识")
    private Long bookId;

    @ApiModelProperty("运营标识")
    private Long channelId;

    @ApiModelProperty("图书状态")
    private Integer bookStatus;

    @ApiModelProperty("书刊类型：0-现代纸书 1-社群书")
    private Integer authBookType;

    public Integer getBookStatus() {
        return bookStatus;
    }

    public void setBookStatus(Integer bookStatus) {
        this.bookStatus = bookStatus;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Integer getAuthBookType() {
        return authBookType;
    }

    public void setAuthBookType(Integer authBookType) {
        this.authBookType = authBookType;
    }

    @Override
    public String toString() {
        return "SetAuthStatusParam{" +
                "bookId=" + bookId +
                ", channelId=" + channelId +
                ", bookStatus=" + bookStatus +
                ", authBookType=" + authBookType +
                '}';
    }
}
